Subject: Re: [PATCH] 2.6 UDP recvmsg vs POSIX

From: Andi Kleen <[email-masked]>
Date: Thu, 19 Feb 2004 08:07:05 +0100

On Tue, 17 Feb 2004 22:17:05 -0800
"David S. Miller" <[email-masked]> wrote:

> On Tue, 17 Feb 2004 13:17:26 +0100
> Olaf Kirch <[email-masked]> wrote:
> 
> > I'm currently investigating a problem in udp recvmsg. In short, a test
> > program selects on the socket, gets woken up as a packet arrives, but
> > recvmsg return EAGAIN because the UDP checksum was wrong.
> 
> Thanks Olaf, I'm not ignoring your patch I just didn't get to it today.

BTW I think TCP could hit the same problem. But it did already csum-copy
in user context in 2.4 and nobody reported it.

-Andi